Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.buildqueue
Interface BuildPipeline

All Known Implementing Classes:
  BambooBuildPipeline, DefaultBuildPipeline

    public interface BuildPipeline

Method Summary
`boolean` | `acceptsBuildResults(BuildResults buildResults)`
`void` | `activate()`
`void` | `addBuild(BuildResults buildResults)`
`void` | `deactivate()`
`BuildResults` | `getBuildResultForBuild(Build build)`
`BuildResults` | `getCurrentlyBuilding()`
`PipelineDefinition` | `getDefinition()`
`long` | `getId()`
`String` | `getName()`
`Collection` | `getQueue()`
`boolean` | `isAcceptsAllBuilds()`
`boolean` | `isActive()`
`boolean` | `isBusy()`
`void` | `removeBuild(Build build)`
`void` | `setDefinition(PipelineDefinition pipelineDefinition)`
`int` | `size()`
`void` | `start()`
`void` | `stop()`

Method Detail

### getId

    long getId()

### getName

    String getName()

### start

    void start()

### stop

    void stop()

### getQueue

    Collection getQueue()

### removeBuild

    void removeBuild(Build build)

### getCurrentlyBuilding

    BuildResults getCurrentlyBuilding()

### getBuildResultForBuild

    BuildResults getBuildResultForBuild(Build build)

### size

    int size()

### addBuild

    void addBuild(BuildResults buildResults)
                  throws InterruptedException

  Throws:
    `InterruptedException`

### isBusy

    boolean isBusy()

### isActive

    boolean isActive()

### activate

    void activate()

### deactivate

    void deactivate()

### setDefinition

    void setDefinition(PipelineDefinition pipelineDefinition)

### getDefinition

    PipelineDefinition getDefinition()

### isAcceptsAllBuilds

    boolean isAcceptsAllBuilds()

### acceptsBuildResults

    boolean acceptsBuildResults(BuildResults buildResults)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.